KUBERNETES(1)(kubernetes)

Eric Paris Jan 2015

NAME
kubeadm init phase preflight - Run pre-flight checks

SYNOPSIS
kubeadm init phase preflight [OPTIONS]

DESCRIPTION
Run pre-flight checks for kubeadm init.

OPTIONS
--config=""
    Path to a kubeadm configuration file.

--cri-socket=""
    Path to the CRI socket to connect. If empty kubeadm will try to auto-detect this value; use this option only if you have more than one CRI installed or if you have non-standard CRI socket.

--dry-run=false
    Don't apply any changes; just output what would be done.

--ignore-preflight-errors=[]
    A list of checks whose errors will be shown as warnings. Example: 'IsPrivilegedUser,Swap'. Value 'all' ignores errors from all checks.

--image-repository="registry.k8s.io"
    Choose a container registry to pull control plane images from

OPTIONS INHERITED FROM PARENT COMMANDS
--rootfs=""
    The path to the 'real' host root filesystem. This will cause kubeadm to chroot into the provided path.

--version=false
    --version, --version=raw prints version information and quits; --version=vX.Y.Z... sets the reported version

EXAMPLE
      # Run pre-flight checks for kubeadm init using a config file.
      kubeadm init phase preflight --config kubeadm-config.yaml

SEE ALSO
kubeadm-init-phase(1),

HISTORY
January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!